<?

	if($go3=="kup-dzialalnosc"){

		if($_POST['akcja']=="kupuje"){

			// przypisanie wybranej działalności do wybranego miasta

			// jaki "slot" na działalnośc w tym miejście jest wolny?
				// odczytanie danych tego pola
				$pole = mysql_fetch_array(mysql_query("SELECT id,dzialalnosc_1,dzialalnosc_2,dzialalnosc_3 FROM pola WHERE id_pola='".$_POST['wybrane_miasto']."' AND id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND czas_gracza='-1' LIMIT 1;"));
				// jeśli dzialalnosc_1 == 0 to update
				if($pole['dzialalnosc_1']=="0"){
					$update = mysql_query("UPDATE pola SET dzialalnosc_1='".$_POST['wybrana_dzialalnosc']."' WHERE id='".$pole['id']."' LIMIT 1;");
				}elseif($pole['dzialalnosc_2']=="0"){
					$update = mysql_query("UPDATE pola SET dzialalnosc_2='".$_POST['wybrana_dzialalnosc']."' WHERE id='".$pole['id']."' LIMIT 1;");
				}elseif($pole['dzialalnosc_3']=="0"){
					$update = mysql_query("UPDATE pola SET dzialalnosc_3='".$_POST['wybrana_dzialalnosc']."' WHERE id='".$pole['id']."' LIMIT 1;");
				}
				// ...

				// odejmujemy gotówkę
				$koszt = $dane_gracza['gotowka']-$koszt_zakupu_dzialalnosci[$_POST['wybrana_dzialalnosc']];
				$update = mysql_query("UPDATE gracze SET gotowka='".$koszt."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");

			// przekierowanie na kupione miasto
			header('Location: gra.html#'.$_POST['wybrane_miasto']);
		}

		// lista miast należących do gracza, ale nie zastawione i z wolnym "slotem" na działalność, z czas_gracza=-1 (zwykłe miasto, a nie autostrada itd.)
		$lista_miast_gracza = array();
		$sql = mysql_query("SELECT SQL_CACHE * FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND (dzialalnosc_1='0' OR dzialalnosc_2='0' OR dzialalnosc_3='0') AND czas_gracza='-1' ORDER BY `pola`.`id_pola` ASC ;");
   	if($sql){
	      while($row=mysql_fetch_array($sql)){
				$lista_miast_gracza[] = array('id' => $row['id'], 'id_pola' => $row['id_pola'], 'nazwa_miasta' => $nazwa_miasta[$row['id_pola']], 'nazwa_wojewodztwa' => $nazwa_wojewodztwa[$miasto_w_wojewodztwie[$row['id_pola']]]);
			}
			$tpl->assign('lista_miast_gracza',$lista_miast_gracza);
		}

		// lista działaności zgodnie z configiem - alias + nazwa + cena
		$lista_dzialalnosci = array();
		foreach($nazwa_dzialalnosci as $key => $dzialalnosc){
			$lista_dzialalnosci[] = array('alias_dzialalnosci' => $key, 'nazwa_dzialalnosci' => $nazwa_dzialalnosci[$key], 'koszt_dzialalnosci' => $koszt_zakupu_dzialalnosci[$key]);
		}
		$tpl->assign('lista_dzialalnosci',$lista_dzialalnosci);

	}



	if($go3=="sprzedaj-dzialalnosc"){

		function koszt_zakupu_dzialalnosci($typ_dzialalnosci,$wyposazenia_i_towaru,$szkolenie){
			global $koszt_zakupu_szkolenia,$koszt_zakupu_wyposazenia_i_towaru,$koszt_zakupu_dzialalnosci;
			$zarabiasz = $koszt_zakupu_dzialalnosci[$typ_dzialalnosci]/2;
			if($wyposazenia_i_towaru)$zarabiasz = $zarabiasz + ($koszt_zakupu_wyposazenia_i_towaru[$typ_dzialalnosci]/2);
			if($szkolenie)$zarabiasz = $zarabiasz + ($koszt_zakupu_szkolenia[$typ_dzialalnosci]/2);
			return $zarabiasz;
		}

		// akcja
		if($_POST['akcja']=="kupuje"){

			$temp = explode("#", $_POST['wybrana_dzialalnosc']);
			$id_pola = $temp[0];
			$alias_dzialalnosci = $temp[1];
			$ktora_dzialalnosc = $temp[2];

			// sprawdzamy jeszcze czy to pole ma wyposażenie i towar oraz szkolenie
			$pole = mysql_fetch_array(mysql_query("SELECT towar_wyposazenie_".$ktora_dzialalnosc.",szkolenie_".$ktora_dzialalnosc." FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND id_pola='".$id_pola."' LIMIT 1;"));

			// usuwamy dzialalnosc
			$update = mysql_query("UPDATE pola SET dzialalnosc_".$ktora_dzialalnosc."='0',towar_wyposazenie_".$ktora_dzialalnosc."='0' ,szkolenie_".$ktora_dzialalnosc."='0' WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND id_pola='".$id_pola."' LIMIT 1;");

			// dodajemy gotówkę
			$dane_gracza['gotowka'] = $dane_gracza['gotowka']+koszt_zakupu_dzialalnosci($alias_dzialalnosci,$pole["towar_wyposazenie_".$ktora_dzialalnosc],$pole["szkolenie_".$ktora_dzialalnosc]);
			$update = mysql_query("UPDATE gracze SET gotowka='".$dane_gracza['gotowka']."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");

			header('Location: gra.html#'.$_POST['wybrana_dzialalnosc']);

		}

		$lista_dzialalnosci = array();
		$sql = mysql_query("SELECT * FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND (dzialalnosc_1!='0' OR dzialalnosc_2!='0' OR dzialalnosc_3!='0') AND czas_gracza='-1'  ORDER BY  `pola`.`id_pola` ASC;");
		while($row = mysql_fetch_array($sql)){
			for($ktora_dzialalnosc=1;$ktora_dzialalnosc<=3;$ktora_dzialalnosc++){ // sprawdzamy wszystkie 3 działalności
				if($row['dzialalnosc_'.$ktora_dzialalnosc]){
					$lista_dzialalnosci[] = array('id_pola' => $row['id_pola'], 'nazwa_miasta' => $nazwa_miasta[$row['id_pola']], 'alias_dzialalnosci' => $row['dzialalnosc_'.$ktora_dzialalnosc], 'nazwa_dzialalnosci' => $nazwa_dzialalnosci[$row['dzialalnosc_'.$ktora_dzialalnosc]], 'zarabiasz' => koszt_zakupu_dzialalnosci($row['dzialalnosc_'.$ktora_dzialalnosc],$row['towar_wyposazenie_'.$ktora_dzialalnosc],$row['szkolenie_'.$ktora_dzialalnosc]), 'ktora_dzialalnosc' => $ktora_dzialalnosc);
				}
			}
		}
		$tpl->assign('lista_dzialalnosci',$lista_dzialalnosci);

	}



	if($go3=="zastaw-miasto"){

		function koszt_zakupu_miasta($id_pola){

			global $koszt_zakupu_miasta,$koszt_zakupu_dzialalnosci,$koszt_zakupu_wyposazenia_i_towaru,$koszt_zakupu_szkolenia;

			// odczytanie danych tego konkretnego pola
			$pole = mysql_fetch_array(mysql_query("SELECT * FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND id_pola='".$id_pola."' LIMIT 1;"));

			$zarabiasz = $koszt_zakupu_miasta[$id_pola]/2;

			// sprawdzamy wszystkie dzialalnosci, wyposazenia i towary oraz szkolenia w tym polu
			for($ktora_dzialalnosc=1;$ktora_dzialalnosc<=3;$ktora_dzialalnosc++){
				if($pole['dzialalnosc_'.$ktora_dzialalnosc]) $zarabiasz = $zarabiasz + ($koszt_zakupu_dzialalnosci[$pole['dzialalnosc_'.$ktora_dzialalnosc]]/2);
				if($pole['towar_wyposazenie_'.$ktora_dzialalnosc]) $zarabiasz = $zarabiasz + ($koszt_zakupu_wyposazenia_i_towaru[$pole['towar_wyposazenie_'.$ktora_dzialalnosc]]/2);
				if($pole['szkolenie_'.$ktora_dzialalnosc]) $zarabiasz = $zarabiasz + ($koszt_zakupu_szkolenia[$pole['szkolenie_'.$ktora_dzialalnosc]]/2);
			}

			return $zarabiasz;
		}

		if($_POST['akcja']=="kupuje"){

			// zastawiamy miasto
			$update = mysql_query("UPDATE pola SET zastawione='1' WHERE id_pola='".$_POST['wybrane_miasto']."' AND id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND czas_gracza='-1' LIMIT 1;");

			// dodaj gotówkę
			$dane_gracza['gotowka'] = $dane_gracza['gotowka']+koszt_zakupu_miasta($_POST['wybrane_miasto']);
			$update = mysql_query("UPDATE gracze SET gotowka='".$dane_gracza['gotowka']."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");

			// przekierowanie na kupione miasto
			header('Location: gra.html#'.$_POST['wybrane_miasto']);
		}

		$lista_miast_gracza = array();
		$sql = mysql_query("SELECT SQL_CACHE * FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND czas_gracza='-1' ORDER BY `pola`.`id_pola` ASC ;");
   	if($sql){
	      while($row=mysql_fetch_array($sql)){
				$lista_miast_gracza[] = array(
					'id' => $row['id'],
					'id_pola' => $row['id_pola'],
					'nazwa_miasta' => $nazwa_miasta[$row['id_pola']],
					'nazwa_wojewodztwa' => $nazwa_wojewodztwa[$miasto_w_wojewodztwie[$row['id_pola']]],
					'koszt' => koszt_zakupu_miasta($row['id_pola'])
				);
			}
			$tpl->assign('lista_miast_gracza',$lista_miast_gracza);
		}

	}



	if($go3=="wykup-miasto"){
		function koszt_zakupu_miasta($id_pola){

			global $koszt_zakupu_miasta,$koszt_zakupu_dzialalnosci,$koszt_zakupu_wyposazenia_i_towaru,$koszt_zakupu_szkolenia,$miasto_w_wojewodztwie;

			// odczytanie danych tego konkretnego pola
			$pole = mysql_fetch_array(mysql_query("SELECT * FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND id_pola='".$id_pola."' LIMIT 1;"));

			$zarabiasz = $koszt_zakupu_miasta[$id_pola]/2;

			// sprawdzamy wszystkie dzialalnosci, wyposazenia i towary oraz szkolenia w tym polu
			for($ktora_dzialalnosc=1;$ktora_dzialalnosc<=3;$ktora_dzialalnosc++){
				if($pole['dzialalnosc_'.$ktora_dzialalnosc]) $zarabiasz = $zarabiasz + ($koszt_zakupu_dzialalnosci[$pole['dzialalnosc_'.$ktora_dzialalnosc]]/2);
				if($pole['towar_wyposazenie_'.$ktora_dzialalnosc]) $zarabiasz = $zarabiasz + ($koszt_zakupu_wyposazenia_i_towaru[$pole['towar_wyposazenie_'.$ktora_dzialalnosc]]/2);
				if($pole['szkolenie_'.$ktora_dzialalnosc]) $zarabiasz = $zarabiasz + ($koszt_zakupu_szkolenia[$pole['szkolenie_'.$ktora_dzialalnosc]]/2);
			}


			// a chcąc później wykupić pole z zastawu, płaci POŁOWĘ PLUS 50 PLN w przypadku miast w województwach 1-8, oraz 100 PLN w przypadku miast w województwach 9-16.
			if($miasto_w_wojewodztwie[$id_pola]>=1 and $miasto_w_wojewodztwie[$id_pola]<=8) $zarabiasz = $zarabiasz + 50;
			if($miasto_w_wojewodztwie[$id_pola]>=9 and $miasto_w_wojewodztwie[$id_pola]<=16) $zarabiasz = $zarabiasz + 100;

			return $zarabiasz;
		}

		if($_POST['akcja']=="kupuje"){

			// wykupujemy miasto
			$update = mysql_query("UPDATE pola SET zastawione='0' WHERE id_pola='".$_POST['wybrane_miasto']."' AND id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='1' AND czas_gracza='-1' LIMIT 1;");

			// odejmuj gotówkę
			$dane_gracza['gotowka'] = $dane_gracza['gotowka']-koszt_zakupu_miasta($_POST['wybrane_miasto']);
			$update = mysql_query("UPDATE gracze SET gotowka='".$dane_gracza['gotowka']."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");

			// przekierowanie na kupione miasto
			header('Location: gra.html#'.$_POST['wybrane_miasto']);
		}

		$lista_miast_gracza = array();
		$sql = mysql_query("SELECT SQL_CACHE * FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='1' AND czas_gracza='-1' ORDER BY `pola`.`id_pola` ASC ;");
   	if($sql){
	      while($row=mysql_fetch_array($sql)){
				$lista_miast_gracza[] = array(
					'id' => $row['id'],
					'id_pola' => $row['id_pola'],
					'nazwa_miasta' => $nazwa_miasta[$row['id_pola']],
					'nazwa_wojewodztwa' => $nazwa_wojewodztwa[$miasto_w_wojewodztwie[$row['id_pola']]],
					'koszt' => koszt_zakupu_miasta($row['id_pola'])
				);
			}
			$tpl->assign('lista_miast_gracza',$lista_miast_gracza);
		}
	}


	/*
	if($go3=="sprzedaj-miasto"){

		function koszt_zakupu_miasta($typ_dzialalnosci,$wyposazenia_i_towaru,$szkolenie){

			global $koszt_zakupu_szkolenia,$koszt_zakupu_wyposazenia_i_towaru,$koszt_zakupu_dzialalnosci;
			$zarabiasz = $koszt_zakupu_dzialalnosci[$typ_dzialalnosci]/2;
			if($wyposazenia_i_towaru)$zarabiasz = $zarabiasz + ($koszt_zakupu_wyposazenia_i_towaru[$typ_dzialalnosci]/2);
			if($szkolenie)$zarabiasz = $zarabiasz + ($koszt_zakupu_szkolenia[$typ_dzialalnosci]/2);
			return $zarabiasz;
		}

		// akcja
		if($_POST['akcja']=="kupuje"){

			$temp = explode("#", $_POST['wybrana_dzialalnosc']);
			$id_pola = $temp[0];
			$alias_dzialalnosci = $temp[1];
			$ktora_dzialalnosc = $temp[2];

			// sprawdzamy jeszcze czy to pole ma wyposażenie i towar oraz szkolenie
			$pole = mysql_fetch_array(mysql_query("SELECT towar_wyposazenie_".$ktora_dzialalnosc.",szkolenie_".$ktora_dzialalnosc." FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND id_pola='".$id_pola."' LIMIT 1;"));

			// usuwamy dzialalnosc
			$update = mysql_query("UPDATE pola SET dzialalnosc_".$ktora_dzialalnosc."='0',towar_wyposazenie_".$ktora_dzialalnosc."='0' ,szkolenie_".$ktora_dzialalnosc."='0' WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND id_pola='".$id_pola."' LIMIT 1;");

			// dodajemy gotówkę
			$dane_gracza['gotowka'] = $dane_gracza['gotowka']+koszt_zakupu_dzialalnosci($alias_dzialalnosci,$pole["towar_wyposazenie_".$ktora_dzialalnosc],$pole["szkolenie_".$ktora_dzialalnosc]);
			$update = mysql_query("UPDATE gracze SET gotowka='".$dane_gracza['gotowka']."' WHERE id='".$_SESSION['id_gracza']."' LIMIT 1;");

			header('Location: gra.html#'.$_POST['wybrana_dzialalnosc']);

		}

		$lista_dzialalnosci = array();
		$sql = mysql_query("SELECT * FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND (dzialalnosc_1!='0' OR dzialalnosc_2!='0' OR dzialalnosc_3!='0') AND czas_gracza='-1'  ORDER BY  `pola`.`id_pola` ASC;");
		while($row = mysql_fetch_array($sql)){
			if($row['dzialalnosc_1']){
				$lista_dzialalnosci[] = array('id_pola' => $row['id_pola'], 'nazwa_miasta' => $nazwa_miasta[$row['id_pola']], 'alias_dzialalnosci' => $row['dzialalnosc_1'], 'nazwa_dzialalnosci' => $nazwa_dzialalnosci[$row['dzialalnosc_1']], 'zarabiasz' => koszt_zakupu_dzialalnosci($row['dzialalnosc_1'],$row['towar_wyposazenie_1'],$row['szkolenie_1']), 'ktora_dzialalnosc' => '1');
			}
			if($row['dzialalnosc_2']){
				$lista_dzialalnosci[] = array('id_pola' => $row['id_pola'], 'nazwa_miasta' => $nazwa_miasta[$row['id_pola']], 'alias_dzialalnosci' => $row['dzialalnosc_2'], 'nazwa_dzialalnosci' => $nazwa_dzialalnosci[$row['dzialalnosc_2']], 'zarabiasz' => koszt_zakupu_dzialalnosci($row['dzialalnosc_2'],$row['towar_wyposazenie_2'],$row['szkolenie_2']), 'ktora_dzialalnosc' => '2');
			}
			if($row['dzialalnosc_3']){
				$lista_dzialalnosci[] = array('id_pola' => $row['id_pola'], 'nazwa_miasta' => $nazwa_miasta[$row['id_pola']], 'alias_dzialalnosci' => $row['dzialalnosc_3'], 'nazwa_dzialalnosci' => $nazwa_dzialalnosci[$row['dzialalnosc_3']], 'zarabiasz' => koszt_zakupu_dzialalnosci($row['dzialalnosc_3'],$row['towar_wyposazenie_3'],$row['szkolenie_3']), 'ktora_dzialalnosc' => '3');
			}
		}
		$tpl->assign('lista_dzialalnosci',$lista_dzialalnosci);

	}
	*/











	// ile ten gracz ma miast?
	$ile_miast = mysql_result(mysql_query("SELECT COUNT(*) FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND czas_gracza='-1';"),0);
	$tpl->assign('ile_miast',$ile_miast);

	// ile mam miast zastawionych?
	$ile_miast_zastawionych = mysql_result(mysql_query("SELECT COUNT(*) FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='1' AND czas_gracza='-1';"),0);
	$tpl->assign('ile_miast_zastawionych',$ile_miast_zastawionych);

	// ile miast z działalnością?
	$ile_miast_z_dzialalnoscia = mysql_result(mysql_query("SELECT COUNT(*) FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND (dzialalnosc_1!='0' OR dzialalnosc_2!='0' OR dzialalnosc_3!='0') AND czas_gracza='-1';"),0);
	$tpl->assign('ile_miast_z_dzialalnoscia',$ile_miast_z_dzialalnoscia);

	// ile miast z przynajmniej 1 "slotem" na działalność
	$ile_miast_z_miejsce_na_dzialalnosc = mysql_result(mysql_query("SELECT COUNT(*) FROM pola WHERE id_pokoju='".$_SESSION['pokoj_gracza']."' AND id_gracza='".$_SESSION['id_gracza']."' AND zastawione='0' AND (dzialalnosc_1='0' OR dzialalnosc_2='0' OR dzialalnosc_3='0') AND czas_gracza='-1';"),0);
	$tpl->assign('ile_miast_z_miejsce_na_dzialalnosc',$ile_miast_z_miejsce_na_dzialalnosc);

?>